Description

I am new in redmines and I have requirements for my project.

"Attachements should be viewable NOT downloadable for restricted users".It as a security hole for my project.

Please anyone help me to resolve this issue.

History

#1 - 2012-11-15 14:59 - Etienne Massip

Do you mean to see the name of the attachment only? Or to have their contents viewable in browser?

#2 - 2012-11-15 16:16 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

BTW, see #7750.

#3 - 2012-11-16 06:25 - ahsan akhter

- Status changed from Closed to Reopened

Yes,attached documnet's contents viewable in browser.

Just like google docs.

Thanks Massip!!!

#4 - 2012-11-16 11:06 - Etienne Massip

- Status changed from Reopened to Closed

What's the distinction from a security  POV between being able to see contents but not to download the file?

#5 - 2012-11-16 13:48 - ahsan akhter

- Status changed from Closed to Reopened

if downloads allows then restricted user can copy the original physical file from one location to another and it can be uses illegally.

I want just they can view the content on the browser only.

Thanks Massip to ur response.

#6 - 2012-11-16 16:27 - Etienne Massip

ahsan akhter wrote:

if downloads allows then restricted user can copy the original physical file from one location to another and it can be uses illegally.

I want just they can view the content on the browser only.

 If they can see the contents then they'll be able to copy/paste it in a new file on their HD which will eventually be a copy of the original file, I still don't

get it?

#7 - 2012-11-19 10:52 - fangzheng (方正)

I think this requirement should not be done by redmine platform.
https://www.redmine.org/issues/7750


A popular method is, using a flash object to show the file content (image, text, etc).

#8 - 2012-11-19 11:29 - ahsan akhter

Thanks Massip and fangzheng for your kind response.......!

#9 - 2012-11-19 11:50 - Etienne Massip

- Status changed from Reopened to Closed
